/*-----------------------------------------------------------------------------
 * CS 155 - Computer & Network Security - Spring 2005
 *
 * file:  ids.h
 *
 * Contact: stinson@stanford
 *          sguha05@stanford
 *
 * Description:
 * Headers for the Intrusion Detection System
 *---------------------------------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <unistd.h>
#include <assert.h>

/* 
 * Pcap/Libnet headers 
 */
#include <libnet.h>
#include <pcap.h>

/*
 *  Networking headers 
 */
#include <sys/socket.h>
#include <net/ethernet.h>
#include <netinet/ip.h>
#include <netinet/in.h>
#include <netinet/tcp.h>
#include <netinet/udp.h>
#include <arpa/inet.h>
#include <netinet/ip_icmp.h>

/* for logging to file... */
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>


/* -------------------------------------------
 * data structures 
 * ------------------------------------------- */


/* ------------------- fxn decs ------------------------- */
static void usage(char* argv0);
